Subject: bug#11104: 24.0.94; (void-function make-local-hook): Update NEWS maybe?

From: Bastien <[email-masked]>
Date: Tue, 27 Mar 2012 22:00:18 +0200

Hi Jambunathan,

Jambunathan K <[email-masked]> writes:

> Debugger entered--Lisp error: (void-function make-local-hook)
>   make-local-hook(kill-buffer-hook)
>   dictionary-mode()
>   dictionary()
>   dictionary-ensure-buffer()
>   dictionary-new-search((nil . "!"))
>   dictionary-lookup-definition()
>   call-interactively(dictionary-lookup-definition t nil)
>   execute-extended-command(nil)
>   call-interactively(execute-extended-command nil nil)
>
> Library is file ~/elisp/dictionary-1.8.7/dictionary.elc
>
> I understand that this is a third party library and possibly no longer
> maintained. (See http://me.in-berlin.de/~myrkr/dictionary/download.html)
>
> I see the following reference to `make-local-hook' in NEWS but it
> doesn't help much.  
>
> ,---- C-h n
> | * Incompatible Lisp Changes in Emacs 24.
> | make-local-hook (not needed),
> `----
>
> Any workaround I can put locally in dictionary?

You can use this:

(defalias 'make-local-hook
  (if (featurep 'xemacs)
      'make-local-hook
    'ignore))

Perhaps this should be added to Emacs, I've seen another
packages that break only because of this.

-- 
 Bastien